#include<bits/stdc++.h>
using namespace std;
bool combinaciq[1000][1000];
vector<short> redica;
int n;
short nekst(short& a,short& b){
    int c=a*b;
    for(int i=1;i<1000;i*=10){
        if((c/i)%10==0){
            c+=(9*i);
        }else{
            c-=i;
        }
    }
    return c%1000;
}
int main(){
    cin>>n;
    int a;
    cin>>a;
    redica.push_back(a);
    cin>>a;
    redica.push_back(a);
    int i;
    for(i=2;combinaciq[redica[i-1]][redica[i-2]]==0&&i<n;i++){
        redica.push_back(nekst(redica[i-1],redica[i-2]));
        combinaciq[redica[i-1]][redica[i-2]];
    }
    cout<<redica[(i-1)%n];

    return 0;
}
